> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Toggle Skills

> Batch-set active skills.



## OpenAPI

````yaml /openapi.json patch /api/v1/assistant/skills
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistant/skills:
    patch:
      tags:
        - Assistant
      summary: Toggle Skills
      description: Batch-set active skills.
      operationId: toggle_skills_api_v1_assistant_skills_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSkillsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateSkillsRequest:
      properties:
        skills:
          items:
            type: string
          type: array
          title: Skills
      type: object
      required:
        - skills
      title: UpdateSkillsRequest
    SkillsResponse:
      properties:
        available:
          items:
            $ref: '#/components/schemas/SkillInfo'
          type: array
          title: Available
        active:
          items:
            type: string
          type: array
          title: Active
      type: object
      required:
        - available
        - active
      title: SkillsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SkillInfo:
      properties:
        slug:
          type: string
          title: Slug
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        category:
          type: string
          title: Category
        active:
          type: boolean
          title: Active
      type: object
      required:
        - slug
        - name
        - description
        - category
        - active
      title: SkillInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````